Notation:
[no prefix]: Open
[*]: Completed on that day
[+]: Completed on later day
[-]: Decided against on later day

=== Date: 2023-11-04 ===
-- Plan --
*   research custom plugins for Costmap2D
*   write simple proof of concept plugin
*   costmap is not being sent anymore --> lifecycle manager times out on "bond"
    --> solution: Always check for gz simulations that haven't terminated correctly...jeez!
-- Notes --
"colcon build" both trajectory_planner and costmap plugin in their respective src folders instead of the main directory

=== Date: 2023-11-06 ===
--- Plan ---
*   get Pose callback in plugin to work
+   build "lethal zone" around vessel position

overload callback for PoseStamped and GNSS data

=== Date: 2023-11-07 ===
--- Plan ---
*   circular footprint as lethal zone

=== Date: 2023-11-08 ===
--- Plan ---
*   fix footprint not disappearing after re-draw
+   cost gradient of footprint
+   non-circular footprint

=== Date: 2023-11-09 ===
--- Plan ---
*   tweak cost gradient
*   non-circular footprint
*   oriented footprint

=== Date: 2023-11-10 ===
--- Plan ---
*   add vessel model to rviz
*   fix orientation of vessel model
+ start on obstacle tracker node

=== Date: 2023-11-20 ===
--- Plan ---
*   display predicted pose arrows
*   calculate covariance ellipse for predicted poses
integrate covariance ellipse into costmap

=== Date: 2023-11-21 ===
--- Plan ---
*   start on costmap plugin for ellipse
*   publish covariance ellipse custom ros msg

=== Date: 2023-11-22 ===
--- Plan ---
*   render predicted poses/footprints to costmap
-   start on rrt* global path planner

=== Date: 2023-12-01 ===
--- Plan ---
*   adapt LOS guidance algorithm from GW and Fossen

=== Date: 2023-12-02 ===
--- Plan ---
test and bug-fix LOS guidance algorithm

=== Date: 2024-04-06 ===
--- Plan ---
* Video of A* in GUI
* Video of LOS guidance w/o obstacles
* Video of complete sequence
* Clip and screenshot of replanning
* Benchmarking LOS: traveled path vs. global path, RMSE

Benchmark trajectory follower: Trajectory path vs. actual path
Video of different scenarios
Control loop schematic u, r
Step responses
